Retrieve Sandbox Snapshots
Retrieve information about sandbox snapshots managed by the authenticated Vault.
GET
/api/{version}/objects/sandbox/snapshotHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.1/objects/sandbox/snapshotResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"available": 3,
"snapshots": [
{
"name": "Sandbox A Snapshot",
"api_name": "sandbox_a_snapshot__c",
"type": "configuration",
"description": "New snapshot of a sandbox.",
"status": "active",
"upgrade_status": "Good",
"source_sandbox": "SandboxA",
"total_object_records": 82,
"document_versions": 0,
"vault_version": "22R3.2",
"update_available": "2022-12-03T00:04:59.000Z",
"created_date": "2022-12-02T00:04:59.000Z",
"expiration_date": "2023-04-25T05:00:00.000Z",
"domain": "veepharm.com",
"created_by": 1006595
}
]
}
}Response Details
Section link for Response DetailsThe response contains information about the snapshots managed by the authenticated Vault.